From 2a45bf8929c37396d789b1858bd32edf4de58e51 Mon Sep 17 00:00:00 2001
From: Tim Rozet <trozet@redhat.com>
Date: Tue, 14 Jun 2016 17:20:13 -0400
Subject: Fixes nic templates for ovs dpdk

JIRA: APEX-119

Change-Id: Ia66f2ef4c169187b0cb575b10292d02f530b9902
Signed-off-by: Tim Rozet <trozet@redhat.com>
---
 ci/deploy.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

(limited to 'ci')

diff --git a/ci/deploy.sh b/ci/deploy.sh
index 05e2fa2b..753245c3 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -648,12 +648,18 @@ function configure_undercloud {
       ext_net_type=br-ex
     fi
 
+    if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+      ovs_dpdk_bridge='br-phy'
+    else
+      ovs_dpdk_bridge=''
+    fi
+
     if ! controller_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -t $CONFIG/nics-controller.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family); then
       echo -e "${red}ERROR: Failed to generate controller NIC heat template ${reset}"
       exit 1
     fi
 
-    if ! compute_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -t $CONFIG/nics-compute.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family); then
+    if ! compute_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -t $CONFIG/nics-compute.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family -d "$ovs_dpdk_bridge"); then
       echo -e "${red}ERROR: Failed to generate compute NIC heat template ${reset}"
       exit 1
     fi
-- 
cgit